Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Class DynamicConnectionRecord

    java.lang.Object
      jet.server.api.admin.DynamicConnectionRecord

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class DynamicConnectionRecord

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Represents a managed dynamic connection object. It contains record identifier, catalog resource path, data source name in the catalog, connection information and the database user mapping table.

Key properties:

1. dyanmicConnectionId: identify this dynamic connection in the storage.
2. orgName: the organization name of this dynamic connection belongs to.
3. catalog: the catalog resource path, must not be null.
4. datasource: the datasource name, must not be null.
5. connectionName: the connection name.
6. userMapping: the userMapping of this connection, if empty, the connection will not effect for running-report.
7. Others: connection information, null means using original catalog defined.

See Also:
  Serialized Form

Constructor Summary
`DynamicConnectionRecord()`

Method Summary
`DynamicConnectionRecord` | `clone()`
`boolean` | `equals(java.lang.Object obj)` Compares whether another obj is equals this instance (if and only if the recordId is equals).
`java.lang.String` | `getCatalog()` The catalog resource path
`java.lang.String` | `getConnectionName()` The connection name in the catalog.
`java.lang.String` | `getDatabasePassword()`
`java.lang.String` | `getDatabaseUser()`
`java.lang.String` | `getDatasource()` The data source name in the catalog.
`java.lang.String` | `getDateFormat()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getExtraCharacters()`
`java.lang.String` | `getJdbcDriver()`
`java.lang.String` | `getJndiDatasourceName()` The JNDI datasource name.
`java.lang.String` | `getName()` The name of connection.
`APIEnums.ConnectionNamePattern` | `getNamePattern()`
`java.lang.String` | `getOrgName()` The org name which this dynamic connection belongs to, null means that this dynamic connection belongs to none-organization.
`java.lang.String` | `getQuoteCharacter()`
`APIEnums.ConnectionReadOnly` | `getReadOnly()`
`int` | `getRecordId()` The dynamic connection id.
`java.lang.String` | `getTimeFormat()`
`java.lang.String` | `getTimestampFormat()`
`APIEnums.ConnectionTransactionIsolation` | `getTransactionIsolation()`
`java.lang.String` | `getURL()`
`java.util.Set<DynamicConnectionUserMapping>` | `getUserMapping()` The UserMapping table of this connection. May be empty.
`int` | `hashCode()`
`java.lang.Boolean` | `isJndiDatasource()` Whether is JNDI datasource.
`void` | `setCatalog(java.lang.String catalog)` Sets the resource of catalog.
`void` | `setConnectionName(java.lang.String connectionName)` Sets the connection name.
`void` | `setDatabasePassword(java.lang.String databasePassword)`
`void` | `setDatabaseUser(java.lang.String databaseUser)`
`void` | `setDatasource(java.lang.String datasource)` Sets the datasource name.
`void` | `setDateFormat(java.lang.String dateFormat)`
`void` | `setDescription(java.lang.String description)`
`void` | `setExtraCharacters(java.lang.String extraCharacters)`
`void` | `setIsJndiDatasource(java.lang.Boolean isJndiDatasource)` Sets whether is JNDI datasource.
`void` | `setJdbcDriver(java.lang.String jdbcDriver)`
`void` | `setJndiDatasourceName(java.lang.String jndiDatasourceName)` Sets the JNDI datasource name.
`void` | `setName(java.lang.String name)` Sets the name of this connection.
`void` | `setNamePattern(APIEnums.ConnectionNamePattern namePattern)`
`void` | `setOrgName(java.lang.String orgName)`
`void` | `setQuoteCharacter(java.lang.String quoteCharacter)`
`void` | `setReadOnly(APIEnums.ConnectionReadOnly readOnly)`
`void` | `setRecordId(int recordId)`
`void` | `setTimeFormat(java.lang.String timeFormat)`
`void` | `setTimestampFormat(java.lang.String timestampFormat)`
`void` | `setTransactionIsolation(APIEnums.ConnectionTransactionIsolation transactionIsolation)`
`void` | `setURL(java.lang.String url)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicConnectionRecord

    public DynamicConnectionRecord()

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Compares whether another obj is equals this instance (if and only if the recordId is equals).

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public DynamicConnectionRecord clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getRecordId

    public int getRecordId()

  The dynamic connection id. The identifier of this dynamic connection in the storage.

### setRecordId

    public void setRecordId(int recordId)

### getOrgName

    public java.lang.String getOrgName()

  The org name which this dynamic connection belongs to, null means that this dynamic connection belongs to none-organization.

### setOrgName

    public void setOrgName(java.lang.String orgName)

### getCatalog

    public java.lang.String getCatalog()

  The catalog resource path

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Sets the resource of catalog.

  Parameters:
    `catalog` - The catalog resource path.

### getDatasource

    public java.lang.String getDatasource()

  The data source name in the catalog.

### setDatasource

    public void setDatasource(java.lang.String datasource)

  Sets the datasource name.

  Parameters:
    `datasource` - data source name in the catalog.

### getConnectionName

    public java.lang.String getConnectionName()

  The connection name in the catalog.

### setConnectionName

    public void setConnectionName(java.lang.String connectionName)

  Sets the connection name.

  Parameters:
    `connectionName` - connection name in the catalog.

### getUserMapping

    public java.util.Set<DynamicConnectionUserMapping> getUserMapping()

  The UserMapping table of this connection.
  May be empty.

### getName

    public java.lang.String getName()

  The name of connection.

### setName

    public void setName(java.lang.String name)

  Sets the name of this connection.

  Parameters:
    `name` - The name of connection.

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### isJndiDatasource

    public java.lang.Boolean isJndiDatasource()

  Whether is JNDI datasource.

  Returns:
    null means undefined for this attribute.

### setIsJndiDatasource

    public void setIsJndiDatasource(java.lang.Boolean isJndiDatasource)

  Sets whether is JNDI datasource.

  Parameters:
    `isJndiDatasource,` - if `true`, must set a valid jndiDatasourceName.

### getJndiDatasourceName

    public java.lang.String getJndiDatasourceName()

  The JNDI datasource name.

### setJndiDatasourceName

    public void setJndiDatasourceName(java.lang.String jndiDatasourceName)

  Sets the JNDI datasource name.

  Parameters:
    `jndiDatasourceName,` - if `isJndiDatasource()` is true, must set a valid jndiDatasourceName. There is not defined in the original catalog.

### getURL

    public java.lang.String getURL()

### setURL

    public void setURL(java.lang.String url)

### getJdbcDriver

    public java.lang.String getJdbcDriver()

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

### getDateFormat

    public java.lang.String getDateFormat()

### setDateFormat

    public void setDateFormat(java.lang.String dateFormat)

### getNamePattern

    public APIEnums.ConnectionNamePattern getNamePattern()

### setNamePattern

    public void setNamePattern(APIEnums.ConnectionNamePattern namePattern)

### getReadOnly

    public APIEnums.ConnectionReadOnly getReadOnly()

### setReadOnly

    public void setReadOnly(APIEnums.ConnectionReadOnly readOnly)

### getTimeFormat

    public java.lang.String getTimeFormat()

### setTimeFormat

    public void setTimeFormat(java.lang.String timeFormat)

### getTimestampFormat

    public java.lang.String getTimestampFormat()

### setTimestampFormat

    public void setTimestampFormat(java.lang.String timestampFormat)

### getTransactionIsolation

    public APIEnums.ConnectionTransactionIsolation getTransactionIsolation()

### setTransactionIsolation

    public void setTransactionIsolation(APIEnums.ConnectionTransactionIsolation transactionIsolation)

### getExtraCharacters

    public java.lang.String getExtraCharacters()

### setExtraCharacters

    public void setExtraCharacters(java.lang.String extraCharacters)

### getQuoteCharacter

    public java.lang.String getQuoteCharacter()

### setQuoteCharacter

    public void setQuoteCharacter(java.lang.String quoteCharacter)

### getDatabaseUser

    public java.lang.String getDatabaseUser()

### setDatabaseUser

    public void setDatabaseUser(java.lang.String databaseUser)

### getDatabasePassword

    public java.lang.String getDatabasePassword()

### setDatabasePassword

    public void setDatabasePassword(java.lang.String databasePassword)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD